com.sun.jna.platform.win32

## Interface WinRas.RasDialFunc2

- All Superinterfaces:
    AltCallingConvention, Callback, StdCall, StdCallLibrary.StdCallCallback
  Enclosing interface:
    WinRas

      public static interface WinRas.RasDialFunc2
      extends StdCallLibrary.StdCallCallback

  The asynchronous dial calback interface

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Callback

      `Callback.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from interface com.sun.jna.Callback

      `FORBIDDEN_NAMES, METHOD_NAME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `dialNotification(int dwCallbackId, int dwSubEntry, WinNT.HANDLE hrasconn, int unMsg, int rascs, int dwError, int dwExtendedError)`

- - ### Method Detail

    - #### dialNotification

          int dialNotification(int dwCallbackId,
                             int dwSubEntry,
                             WinNT.HANDLE hrasconn,
                             int unMsg,
                             int rascs,
                             int dwError,
                             int dwExtendedError)

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.